package com.bytedance.apm.agent.logging;

import com.bytedance.covode.number.Covode;

public class AgentLogManager {
    public static DefaultAgentLog instance = new DefaultAgentLog();

    public static AgentLog getAgentLog() {
        return instance;
    }

    static {
        Covode.recordClassIndex(23080);
    }

    public static void setAgentLog(AgentLog agentLog) {
        instance.setImpl(agentLog);
    }
}
